<?php

//class for interacting with employees table
//a whole bunch of zend_db_table stuff comes along for the ride (note "extends")
class Application_Model_DbTable_Employees extends Zend_Db_Table_Abstract
{

    protected $_name = 'employees'; //name of table
    protected $_primary = 'emp_no'; //its primary key

    //override to return rows affected
    public function delete($empID){
        $dbConn = $this->getAdapter();
        $result = $dbConn->query("DELETE FROM employees WHERE emp_no = '$empID'");
        $affectedRows = $result->rowCount();
        return $affectedRows;
    }
    
    //override to return rows affected
    public function insert(array $data){
        $bd = $data['birth_date'];
        $first_name = $data['first_name'];
        $last_name = $data['last_name'];
        $gen = $data['gender'];
        $hd = $data['hire_date'];
        $dbConn = $this->getAdapter();
        $maxspot = $dbConn->query("SELECT MAX(emp_no) as max_row FROM employees;");
        $place = 1 + $maxspot->fetchColumn();
        $result = $dbConn->query("INSERT INTO employees(emp_no,birth_date,first_name,last_name,gender,hire_date) VALUES('$place','$bd','$first_name','$last_name','$gen','$hd');");
        $affectedRows = $result->rowCount();
        return $affectedRows;
    }
    
    //override to return rows affected
    public function update(array $data, $empID){
        $bd = $data['birth_date'];
        $first_name = $data['first_name'];
        $last_name = $data['last_name'];
        $gen = $data['gender'];
        $hd = $data['hire_date'];
        $updateStatement = "UPDATE employees";
        $updateStatement .= " SET birth_date = '$bd',first_name = '$first_name',last_name='$last_name',gender='$gen',hire_date='$hd'";
        $updateStatement .= " WHERE emp_no = $empID;";
        $dbConn = $this->getAdapter();
        $result = $dbConn->query($updateStatement);
        $affectedRows = $result->rowCount();
        return $affectedRows;
    }
}

