<?php

//form for logging in
//"application form" means a form for the application
//not an application form in the sense of applying for a job
class Application_Form_Login extends Zend_Form
{
    
    public function init()
    {
        $this->setMethod('post');
        
        $this->addElement(
                'text', 'username', array(
                    'label' => 'Username:',
                    'required' => true,
                    'filters' => array('StringTrim'),
                    ));
        
        $this->addElement('password', 'password', array(
            'label' => 'Password:',
            'required' => true,
        ));
        
        $this->addElement('submit','submit',array(
            'ignore' => true,
            'label' => 'Login'
        ));
    }


}

